Report from the IAB Workshop on Environmental Impact of Internet Applications and Systems, 2022
RFC 9547
Jari Arkko
Ericsson
jari.arkko@ericsson.com
Colin S. Perkins
University of Glasgow
csp@csperkins.org
Suresh Krishnan
Cisco
suresh.krishnan@gmail.com
February 2024
environment
energy
Internet impacts
sustainability
Internet communications and applications have both environmental costs and benefits. The IAB ran an online workshop in December 2022 to explore and understand these impacts.
The role of the workshop was to discuss the impacts and the evolving industry needs, and to identify areas for improvements and future work. A key goal of the workshop was to call further attention to the topic and bring together a diverse stakeholder community to discuss these issues.
Note that this document is a report on the proceedings of the workshop. The views and positions documented in this report are those of the workshop participants and do not necessarily reflect IAB views and positions.
Introduction
The IAB ran an online workshop in December 2022 to explore and understand the environmental impacts of the Internet.
The context for the workshop was that Internet communications and applications have both environmental costs and benefits. In the positive direction, they can reduce the environmental impact of our society, for instance, by allowing virtual interaction to replace physical travel. On the other hand, the Internet can equally well act as an enabler for increasing physical goods consumption, for instance, by facilitating commerce.
Beyond the effects associated with its use, Internet applications do not come for free either. The Internet runs on systems that require energy and raw materials to manufacture and operate. While the environmental benefits of the Internet may certainly outweigh this use of resources in many cases, it is incumbent on the Internet industry to ensure that this use of resources is minimized and optimized. In many cases, this is already an economic necessity due to operational costs. And because many consumers, businesses, and civil societies care deeply about the environmental impact of the services and technologies they use, there is also a clear demand for providing Internet services with minimal environmental impact.
The role of the workshop was to discuss the Internet's environmental impact and the evolving industry needs, and to identify areas for improvements and future work. A key goal of the workshop was to call further attention to the topic and bring together a diverse stakeholder community to discuss these issues. This report summarizes the workshop inputs and discussions.
The workshop drew many position paper submissions. Of these, 26 were accepted and published to stimulate discussion. There were active discussions both in the meeting and on the workshop mailing list with 73 participants altogether.
Perhaps the main overriding observation is how much interest and urgency there is on this topic, among engineers, researchers, and businesses.
The workshop discussions and conclusions are covered in Section 3. The position papers and links to recordings of workshop sessions can be found at https://www.iab.org/activities/workshops/e-impact/. Presentations and related materials from the workshop are available from the IETF Datatracker https://datatracker.ietf.org/group/eimpactws/meetings/.
After the workshop, the IETF will continue to discuss general topics and specific proposals on a new mailing list, the e-impact list (e-impact@ietf.org). You can subscribe to this list at https://www.ietf.org/mailman/listinfo/e-impact.
The IETF is discussing improvements for some specific situations, such as the Time-Variant Routing (TVR) proposal, which can help optimize connectivity with systems that are periodically on or reachable (such as satellites). We expect more proposals in the future.
About the Contents of This Workshop Report
The Internet Architecture Board (IAB) holds occasional workshops designed to consider long-term issues and strategies for the Internet, and to suggest future directions for the Internet architecture. This long-term planning function of the IAB is complementary to the ongoing engineering efforts performed by working groups of the Internet Engineering Task Force (IETF).
Furthermore, the content of this report comes from presentations given by workshop participants and notes taken during the discussions, without interpretation or validation. Thus, the content of this report follows the flow and dialog of the workshop and documents a few next steps and actions, but it does not attempt to determine or record consensus on these.
Scope
Environmental impact assessments and improvements are broad topics, ranging from technical questions to economics, business decisions, and policies.
The technical, standards, and research communities can help ensure that we have a sufficient understanding of the environmental impact of the Internet and its applications. They can also help to design the right tools to continue to build and improve all aspects of the Internet, such as addressing new functional needs, easing of operations, improving performance and/or efficiency, or reducing environmental impacts in other ways.
The following topics were expected to be discussed at the workshop:
- The direct environmental impacts of the Internet, including but not limited to energy usage by Internet systems themselves (the network equipment along with the associated power and cooling infrastructure), energy usage of the relevant end-user devices, resources needed for manufacturing the associated devices, or the environmental impacts throughout the life cycle of Internet systems. This included discussion about the breakdown of those impacts across different system components and operations and predictions about the potential future trends for these impacts based on changed usage patterns and emerging technologies.
- The indirect environmental impacts of the Internet, i.e., its effects on society through enabling communications, virtual services, or global commerce.
- Sharing information about relevant measurement metrics and data and identifying the need for additional metrics or measurements.
- The need for improvements or new associated functionality.
- Sharing information about the societal, business, and regulatory situation to help identify areas of opportunity.
- Identifying areas where further technical work would be most impactful.
- Specific improvement proposals.
- Past work in the IETF, IRTF, and IAB in this area and the status of such work.
- Observed user behaviors as they relate to environmental impacts.
We expected the workshop discussions to connect analysis of the issues (e.g., scale of energy consumption or carbon footprint) to industry needs (e.g., deployment opportunities) and solutions.
Business and societal policy questions were in scope only insofar as they informed the workshop participants about the context we are in, but what those policies should be was not for the workshop to decide or even extensively discuss. The scope also excluded how the technical community works and meets, such as the question of in-person or hybrid meetings (although it should be noted that the workshop itself was run as an online meeting).
Practical Arrangements
The IAB discussed a potential workshop in this area during its May 2022 retreat. A call for position papers went out in August 2022. Position papers were to be submitted by end of October, a deadline that was later extended by one week.
As noted, the workshop itself was run as an online meeting, with four half-day sessions complemented by email discussions and the position papers submitted by the participants.
All in all, 73 people participated in at least one session in the workshop. Participation was by invitation only, based on the position paper submissions.
Every submission was read by at least three members of the program committee, and acceptance decisions were communicated back to the authors. Review comments were provided to authors for information, and some of the papers were revised before the workshop.
The program committee decided that due to interest and differing areas of expertise, all co-authors were to be invited; most of them attended. The program committee also invited a handful of additional participants that were seen as providing valuable input. Similarly, as has been done in previous IAB workshops, the program committee members and members of the IAB and IESG were offered an opportunity to participate, even in cases where they did not submit a position paper.
The IETF Secretariat and communications staff provided practical support during the process, sending announcements, maintaining the workshop web page with position papers, setting up mailing lists, tracking submissions, helping with blog article submissions, and so on.
Workshop Topics and Discussion
The meeting part of the workshop was divided into four sessions:
- The first session was about the big picture and relationships between different aspects of sustainability (see Section 3.1).
- The second session focused on what we know and do not know and how we can measure environmental impacts (see Section 3.2).
- The third session was about potential improvements (see Section 3.3).
- The final fourth session was about conclusions and next steps (see Section 3.4).
The Big Picture
This session was about the big picture and how the Internet influences the rest of the society. We also spoke about the goals of the workshop.
The session began with a discussion about what is overall involved in this topic. We also looked at how the IETF has approached this topic in the past.
The discussions also expressed the urgency of action and the importance of continuous improvement, i.e., an incremental change every year is needed for larger savings at the end of the decade. We continued to talk about the need to recognize how climate change impacts different communities in the world, often unfairly. Finally, we focused on the need to be aware of carbon footprint rather than pure energy consumption -- carbon intensity of energy sources varies.
The starting observation from this session was that the issue is much bigger than Internet technology alone. The issue influences all parts of society, even matters such as (in)equality, externalized costs, and justice. Another key observation was that improvements come in many forms; there is no silver bullet. The opportunity to bring people with different backgrounds together helped us see how we approach the topic from different angles -- none of them wrong, but also none of them are the sole angle to focus on either. Only the combined effects of complementary efforts can provide the required level of changes.
Some of the useful tools for approaching the issue of course included technical solutions but also solidarity, aiming for sufficiency, and awareness. It is important to not stand still waiting for the perfect solution. Renewable energy and carbon awareness were seen as a part of the solution but not sufficient by themselves.
As an example demonstration of the diversity of angles and improvements relating to environmental issues, the figure below classifies the areas that workshop position papers fell on:
Position Paper Submission Topics

          +---- Actors & organizations
          |                                 +---- Avoidance
          +---- Benefits to other fields    |
          |                                 +---- User behavior
          +---- Society, awareness, &       |
          |     justice                     +---- Implementation
          |                                 |
Workshop -+- Improvements ------------------+
          |                                 |
          |     Understanding &             |       +---- Data plane
          +---- Measurements                |       |
                      |                 Protocols --+---- Routing
                      |                             |
                      +---- Energy                  +---- Edge cloud
                      |                             |
                      +---- Carbon                  +---- Mobile
                                                    |
                                                    +---- Metrics
                                                    |
                                                    +---- Other

Some of the goals for the IETF should include:
- Connecting the IETF with others. Given that the issue is broad, it is difficult for one Standards Development Organization (SDO) alone to make a significant impact or even have the full picture. Working in collaboration with others is necessary, and understanding the situation beyond technology will be needed.
- Continuous improvement. It is important that the IETF (among others) set itself on a continuous improvement cycle. No single improvement will change the overall situation sufficiently, but over a longer period of time, even smaller changes every year will result in larger improvements.
- Finding the right targets for improvements in the Internet. These should perhaps not be solely defined by larger speeds or bigger capacity but rather increased usefulness to society and declining emissions from the Information and Communications Technology (ICT) sector.
- Specifying what research needs to be done, i.e., where additional knowledge would allow us to find better improvements. For instance, not enough is known about environmental impacts beyond energy, such as natural resources used for manufacturing or the use of water. Carbon awareness and measurements across domains are also poorly understood today. And business model impacts -- such as the role of advertising on the Internet's carbon footprint -- deserve more study.
Understanding the Impacts
The second session focused on what we know and do not know and how we can measure environmental impacts.
The initial presentation focused on narrowing down the lower and upper limits of the energy use of the Internet and putting some common but erroneous claims into context. There was also discussion regarding the energy consumption of the ICT sector and how it compares to some other selected industries, such as aviation.
Dwelling deeper into the energy consumption and the carbon footprint of the ICT sector, there was discussion regarding how the impact was split amongst the networks, data centers, and user devices (with the user devices appearing to contribute to the largest fraction of impact). Also, while a lot of the energy-consumption-related studies and discussions have been focused on data centers, some studies suggested that data center energy usage is still a small fraction of energy use as compared to residential and commercial buildings.
There were also further discussions during both the presentations and in the hallway chats regarding the press and media coverage of the potential environment technologies. The overall sense of the participants seemed to be that there was a lot of sensational headlines, but they were not really backed by measurements done by the industry and academia and were fraught with errors. Some of these media reports were off by quite a bit, sometimes even by an order of magnitude (e.g., confusing MBps vs. Mbps in calculations). The potential harm of having widely circulating misinformation was noted; it can hinder realistic efforts to reduce carbon emissions.
In the rest of the session, we looked at both additional data collected from the operators as well as factors that -- depending on circumstances -- may drive energy consumption. For instance, these include peak capacity and energy proportionality.
If energy consumption is minimally affected by an offered load, the ratio of peak capacity to typical usage becomes a critical factor in energy consumption. On the other hand, systems with energy proportionality scale their resource and energy consumption more dynamically based on the offered load. The lack of energy proportionality in many parts of the network infrastructure was noted, along with the potential gains if it can be improved.
There were also observations that showed that the energy consumption grew as a step function when the peak capacity was reached (even instantaneously), and additional capacity was built up by performing network upgrades to handle these new peaks. This resulted in an overall higher baseline energy consumption, even when the average demand did not change that much. Thus, the ability to shift load to reduce peak demand was highlighted as a potential way to delay increases in consumption when energy proportionality is lacking.
Improvements
The third session was about potential improvements.
As noted earlier, there are many different types of improvements. In the discussion, we focused mostly on protocol aspects and looked at metrics, telemetry, routing, multicast, and data encoding formats.
The two initial presentations focused on metrics and telemetry with the premise that visibility is a very important first step (paraphrasing Peter Drucker's mantra of "You cannot improve what you don't measure"). There was a discussion of the scopes of emissions, and it seemed that, from a networking vendor perspective, while directly controlled emissions and emissions from purchased energy are easily measurable, emissions from across the entire value chain can be much larger. Thus, it seemed important that networking vendors put effort into helping their customers measure and mitigate their environmental impact as well. The need for standardized metrics was very clear, as it helps avoid proprietary, redundant, and even contradictory metrics across vendors.
The initial and the near-term focus was related to metrics and techniques related to energy consumption of the networking devices themselves, while the longer term focus can go into topics much further removed from the IETF circular design, such as packaging, in order to form a more holistic picture. The overall feeling was that the topics of metrics, telemetry, and management are quite specific and could be targets to be worked on in the IETF in the near term.
The next part of the discussion highlighted the need to understand the trade-offs involved in changing forwarding decisions -- such as increased jitter and stretch. Jitter is about delay fluctuation between packets in a stream [RFC4689]. Stretch is defined as the difference between the absolute shortest path traffic could take through the network and the path the traffic actually takes [RFC7980]. Impacts on jitter and stretch point to the need for careful design and analysis of improvements from a system perspective to ensure that the intended effect is indeed reached across the entire system and is not only a local optimum.
We also talked about the potentially significant impact, provided the network exhibits energy proportionality, of using efficient binary formats instead of textual representations when carrying data in protocols. This is something that can be adopted relatively easily in new protocols as they are developed. Indeed, some recently finished protocols, such as HTTP/2, have already chosen to use this technique [RFC9113]. General-purpose binary formats, such as Concise Binary Object Representation (CBOR) [RFC8949], are also available for use.
There were also some interesting discussions regarding the use of multicast and whether it would help or hurt on the energy efficiency of communications. There were some studies and simulations that showed the potential gains to be had, but they were to be balanced against some of the well-known barriers to deployment of multicast. We also heard from a leading Content Delivery Network (CDN) operator regarding their views on multicast and how it relates to media usage and consumption models. The potential negative effects of multicast in wireless and constrained networks were also discussed in hallway conversations. Overall, the conclusion was that the use of multicast can potentially provide some savings but only in some specific scenarios.
For all improvements, the importance of metrics was frequently highlighted to ensure changes lead to a meaningful reduction in the overall carbon footprint of systems.
Next Steps
The fourth and final session was about conclusions and next steps. This section highlights some of these conclusions.
Overall Strategy
While only a few things are easy, the road ahead for making improvements seems clear: we need to continue to improve our understanding of the environmental impact and have a continuous cycle of improvements that lead not just to better energy efficiency but to reduced overall carbon emissions. The IETF can play an important part in this process, but of course there are other aspects beyond protocols.
On understanding our environmental impact, the first step is better awareness of sustainability issues in general, which helps us better understand where our issues are. The second step is willingness to understand in detail what the causes and relationships are within our issues. What parts, components, or behaviors in the network cause what kinds of impacts? An overall drive in the society to report and improve environmental impacts can be helpful in creating a willingness to get to this information.
On establishing a continuous cycle of improvements, the ability to understand where we are, making improvements, and then seeing the impact of those improvements is of course central. But obviously the key questions are what are the potential improvements and how can we accelerate them? It should be noted that quick, large changes are not likely. But a continuous stream of smaller changes can create a large impact over a longer period of time.
One of the key realizations from this workshop was that the problem to be solved is very large and complex; therefore, there is no single solution that fixes everything. There are some solutions that could help in the near term and others that would only show benefits over longer periods, but they are both necessary.
One further challenge is that due to the size and complexity of the problem, there are likely varying opinions on what Key Performance Indicators (KPIs) need to be measured and improved.
Improvements
In looking at potential improvements, it is essential that any associated trade-offs be understood (note that not all improvements do indeed entail a trade-off).
Importantly, the role of the Internet in improving other areas of society must not be diminished. Understanding the costs and benefits requires taking a holistic view of energy consumption, focusing not just on the carbon footprint of the Internet but of the broader systems in which it is used. For instance, discussion in session three revealed how some changes might impact latency and jitter. Given that these characteristics are important factors in how virtual meetings are perceived by potential participants, it is important that the performance of networks satisfy these participants at a level such that they are willing to use them over other potentially more environmentally harmful methods, such as travel. Focusing solely on the carbon footprint of the Internet, or solely on the carbon footprint of travel, risks missing the bigger picture potential savings.
Note that, while shifting to virtual meetings is a common example of how the carbon footprint could be decreased, it is important to consider different use cases, some of which may not be as obvious to us human users as meetings are. Improvements may bring different or even larger impacts in other situations, e.g., Internet-connected electronics might benefit from different characteristics than human users, e.g., with regards to support for intermittent connectivity.
The relationships between different system components and the impact of various detailed design choices in networks are not always apparent. A local change in one node may have an impact in other nodes. When considering environmental sustainability, in most cases, the overall system impact is what counts more than local impacts. Of course, other factors, such as device battery life and availability of power, may result in other preferences, such as optimizing for low-power usage of end-user devices, even at the cost of increases elsewhere.
In terms of useful tools for building improvements, the following were highlighted in discussions:
- Measures beyond protocol design, such as implementations or renewable energy use. Not everything is about protocols.
- Metrics, measurements, and data are very beneficial. Carbon-aware metrics in particular would be very useful. All additional information makes us more aware of what the environmental impacts are, and it also enables optimization, adjustments based on Artificial Intelligence (AI), carbon-directed computing and networking tools, and so on.
- It would be beneficial to be able to provide various systems a more dynamic ability to slow down and sleep. Awareness of energy availability and type would also allow us to employ time and place shifting for reducing carbon impacts.
- When we design systems, paying attention to the used data formats may pay off significantly, as argued in [Moran].
- There's a new possible opportunity for deploying multicast as well [Navarre].
- Designing systems for energy-constrained situations may actually make the resulting systems work well in several environments.
Actions
The workshop discussed a number of possible actions. These actions are not about how to take specific technical solutions forward but rather about how to discuss the topic going forward or what technical areas to focus on:
- We need to continue the discussion -- not all questions are answered. Additional discussion within the IETF will be needed. Continuing to connect the IETF with others in society and other SDOs around this topic is also useful.
- It is useful to find a role and a scope for IETF work in this area. The IETF will not develop alternative energy sources, work on social issues, or have detailed discussions about implementation strategies or electronics design. However, the IETF has a role in measurement mechanisms, protocol design, and standards -- but of course, activities in this role need to be aware of other aspects, such as implementation strategies.
- Increase our understanding of the environmental impacts of Internet technologies. One discussion topic that arose during the workshop was whether each new RFC should dedicate a section to discuss these impacts. No conclusion was drawn about the way to document these in RFCs, but it is clear that the IETF community will need to understand the environmental issues better. (Perhaps in addition to learning about the actual issues, guidelines for analyzing protocols with regards to their impacts could be useful.)
- IETF activities on specific technologies are already ongoing or starting; for example, metrics are being discussed in the Network Management Research Group [NMRG], the Operations and Management Area Working Group [OPSAWG], and the new Time-Variant Routing Working Group [TVRWG]. It may also be useful to start with the low-hanging fruits, such as:
  - Focusing on improving energy proportionality and the consequent use of efficient data formats.
  - Avoiding crypto assets -- such as Non-Fungible Tokens (NFTs) and cryptocurrencies.
  - Being able to carry information that needs to be shared for the purposes of enabling load and time shifting.
- Help initiate research activities that address some of the issues, such as broader gathering and sharing of measurement data, analysis of this data, and examination of business-related issues, such as how peering or advertising impacts sustainability. In addition, there may be a need to look at research for specific areas of improvements that are promising but not ready for standards discussion.
In summary, the goals that the IETF should have include:
- Full understanding of the Internet's environmental impact.
- Continuous improvement of our technology.
- Launching research-relevant activities.
To support these goals, the IAB has created the e-impact program [E-IMPACT] as a venue for further discussions concerning environmental impacts and sustainability of Internet technology.
Feedback
The organizers received generally positive feedback about the workshop.
One practical issue from the organizer's point of view was that, due to the extension of the deadline, the final submissions and paper reviews collided in part with the IETF 115 meeting. This led to it being very difficult for the program committee and practical organization staff to find time for the activity. We recommend avoiding such collisions in the future.
Security Considerations
The workshop itself did not address specific security topics. Of course, individual changes in Internet technology or operations that influence environmental impacts may also influence security aspects. These need to be looked at for every proposed change.
Such influence on security may come in different forms. For instance:
- A mechanism that makes energy consumption information available may be susceptible to tampering or providing false information. For example, in [McDaniel], the author argues that economics and history show that different players will attempt to cheat if a benefit can be accrued by doing so, e.g., by misreporting. As a result, sustainability measures and systems must be modeled as systems under threat.
- A mechanism that allows control of network elements for optimization purposes may be misused to cause denial-of-service or other types of attacks.
- Avoiding the use of crypto assets where other mechanisms suffice.
- Streamlining what data is sent may improve privacy if less information is shared.
IANA Considerations
This document has no IANA actions.
Position Papers
The following position papers were submitted to the workshop:
- Chris Adams, Stefano Salsano, Hesham ElBakoury: "Extending IPv6 to support Carbon Aware Networking" [Adams]
- Per Anderson, Suresh Krishnan, Jan Lindblad, Snezana Mitrovic, Marisol Palmero, Esther Roure, Gonzalo Salgueiro: "Sustainability Telemetry" [Anderson]
- Jari Arkko, Nina Lövehagen, Pernilla Bergmark: "Environmental Impacts of the Internet: Scope, Improvements, and Challenges" [Arkko]
- R. Bolla, R. Bruschi, F. Davoli, C. Lombardo, Beatrice Siccardi: "6Green: Green Technologies for 5/6G Service-Based Architectures" [Bolla]
- Alexander Clemm, Lijun Dong, Greg Mirsky, Laurent Ciavaglia, Jeff Tantsura, Marie-Paule Odini: "Green Networking Metrics" [ClemmA]
- Alexander Clemm, Cedric Westphal, Jeff Tantsura, Laurent Ciavaglia, Marie-Paule Odini, Michael Welzl: "Challenges and Opportunities in Green Networking" [ClemmB]
- Toerless Eckert, Mohamed Boucadair, Pascal Thubert, Jeff Tantsura: "IETF and Energy - An Overview" [I-D.eckert-ietf-and-energy-overview]
- Greening of Streaming: "Tune In. Turn On. Cut Back. Finding the optimal streaming 'default' mode to increase energy efficiency, shift consumer expectations, and safeguard choice" [GOS]
- Romain Jacob: "Towards a power-proportional Internet" [Jacob]
- Fieke Jansen and Maya Richman: "Environment, internet infrastructure, and digital rights" [Jansen]
- Michael King, Suresh Krishnan, Carlos Pignataro, Pascal Thubert, Eric Voit: "On Principles for a Sustainability Stack" [King]
- Suresh Krishnan, Carlos Pignataro: "Sustainability considerations for networking equipment" [Krishnan]
- Jukka Manner: "Sustainability Considerations" [Manner]
- Vesna Manojlovic: "Internet Infrastructure and Climate Justice" [Manojlovic]
- Mike Mattera: "Understanding the Full Emissions Impact from Internet Traffic" [Mattera]
- John Preuß Mattsson: "Environmental Impact of Crypto-Assets" [Mattsson]
- Brendan Moran, Henk Birkholz, Carsten Bormann: "CBOR is Greener than JSON" [Moran]
- Louis Navarre, Franoçis Michel, Olivier Bonaventure: "It Is Time to Reconsider Multicast" [Navarre]
- Bruce Nordman: "Applying Internet Architecture to Energy Systems" [Nordman]
- Alvaro Retana, Russ White, Manuel Paul: "A Framework and Requirements for Energy Aware Control Planes" [I-D.retana-rtgwg-eacp]
- Shayna Robinson, Remy Hellstern, Mariana Diaz: "Sea Change: Prioritizing the Environment in Internet Architecture" [Robinson]
- Daniel Schien, Paul Shabajee, Chris Preist: "Rethinking Allocation in High-Baseload Systems: A Demand-Proportional Network Electricity Intensity Metric" [Schien]
- Eve M. Schooler, Rick Taylor, Noa Zilberman, Robert Soulé, Dawn Nafus, Rajit Manohar, Uri Cummings: "A Perspective on Carbon-aware Networking" [Schooler]
- Selome Kostentinos Tesfatsion, Xuejun Cai, Arif Ahmed: "End-to-end Energy Efficiency at Service-level in Edge Cloud" [Kostentinos]
- Pascal Thubert: "Digital Twin and Automation" [Thubert]
- Wim Vanderbauwhede: "Frugal Computing" [Vanderbauwhede]
- Michael Welzl, Ozgu Alay, Peyman Teymoori, Safiqul Islam: "Reducing Green House Gas Emissions With Congestion Control" [Welzl]
Program Committee
The program committee members were:
- Jari Arkko, Ericsson (program committee co-chair)
- Lars Eggert, Netapp (program committee co-chair)
- Luis M. Contreras, Telefónica
- Toerless Eckert, Futurewei
- Martin Flack, Akamai
- Mike Mattera, Akamai
- Colin Perkins, University of Glasgow
- Barath Raghavan, USC
- Daniel Schien, University of Bristol
- Eve M. Schooler, Intel
- Rick Taylor, Ori Industries
- Jiankang Yao, CNNIC
Informative References
[Adams]

Extending IPv6 to support Carbon Aware Networking
C. Adams
S. Salsano
H. ElBakoury
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Anderson]

Sustainability Telemetry
P. Anderson
S. Krishnan
J. Lindblad
S. Mitrovic
M. Palmero
E. Roure
G. Salgueiro
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Arkko]

Environmental Impacts of the Internet: Scope, Improvements, and Challenges
J. Arkko
N. Lövehagen
P. Bergmark
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Bolla]

6Green: Green Technologies for 5/6G Service-Based Architectures
R. Bolla
R. Bruschi
F. Davoli
C. Lombardo
B Siccardi
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[ClemmA]

Green Networking Metrics
A. Clemm
L. Dong
G. Mirsky
L. Ciavaglia
J. Tantsura
M. Odini
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[ClemmB]

Challenges and Opportunities in Green Networking
A. Clemm
C. Westphal
J. Tantsura
L. Ciavaglia
M. Odini
M. Welzl
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[I-D.eckert-ietf-and-energy-overview]

An Overview of Energy-related Effort within the IETF
Toerless Eckert, Ed.
Futurewei Technologies USA
Mohamed Boucadair, Ed.
Orange
Pascal Thubert
Cisco Systems, Inc.
Jeff Tantsura
NVIDIA
Carlos Pignataro
NC State University
6 January 2024
Internet-Draft draft-eckert-ietf-and-energy-overview-06
[E-IMPACT]

Environmental Impacts of Internet Technology
IAB
IAB Program
[GOS]

Tune In. Turn On. Cut Back. Finding the optimal streaming 'default' mode to increase energy efficiency, shift consumer expectations, and safeguard choice
Greening of Streaming
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Jacob]

Towards a power-proportional Internet
R. Jacob
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Jansen]

Environment, internet infrastructure, and digital rights
F. Jansen
M. Richman
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[King]

On Principles for a Sustainability Stack
M. King
S. Krishnan
C. Pignataro
P. Thubert
E. Voit
October 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Kostentinos]

End-to-end Energy Efficiency at Service-level in Edge Cloud
S. Tesfatsion
X. Cai
A. Ahmed
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Krishnan]

Sustainability considerations for networking equipment
S. Krishnan
C. Pignataro
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[McDaniel]

Sustainability is a Security Problem
P. McDaniel
November 2022
ACM SIGSAC Conference on Computer and Communications Security (CCS)
[Manner]

Sustainability Considerations
J. Manner
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Manojlovic]

Internet Infrastructure and Climate Justice
V. Manojlovic
October 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Mattera]

Understanding the Full Emissions Impact from Internet Traffic
M. Mattera
October 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Mattsson]

Environmental Impact of Crypto-Assets
J. Preuß Mattsson
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Moran]

CBOR is Greener than JSON
B. Moran
H. Birkholz
C. Bormann
October 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Navarre]

It Is Time to Reconsider Multicast
L. Navarre
F. Michel
O. Bonaventure
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[NMRG]

Network Management Research Group NMRG
IRTF
March 1999
IRTF Research Group
[Nordman]

Applying Internet Architecture to Energy Systems
B. Nordman
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[OPSAWG]

Operations and Management Area Working Group (opsawg)
IETF
IETF Working Group
[Robinson]

Sea Change: Prioritizing the Environment in Internet Architecture
S. Robinson
R. Hellstern
M. Diaz
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Schien]

Rethinking Allocation in High-Baseload Systems: A Demand-Proportional Network Electricity Intensity Metric
D. Schien
P. Shabajee
C. Preist
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Schooler]

A Perspective on Carbon-aware Networking
E. Schooler
R. Taylor
N. Zilberman
R. Soulé
D. Nafus
R. Manohar
U. Cummings
October 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Thubert]

Digital Twin and Automation
P. Thubert
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[TVRWG]

Time-Variant Routing (tvr)
IESG
IETF Working Group
[Vanderbauwhede]

Frugal Computing
W. Vanderbauwhede
December 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[Welzl]

Reducing Green House Gas Emissions With Congestion Control
M. Welzl
O. Alay
P. Teymoori
S. Islam
October 2022
Position paper in the IAB Workshop on Environmental Impacts of Internet Applications and Systems
[RFC4689]
[RFC7980]
[RFC9113]
[RFC8949]
[I-D.retana-rtgwg-eacp]
Workshop Participants
The participants who attended at least one of the four sessions were:
- Alex Clemm
- Ali Rezaki
- Arif Ahmed
- Beatrice Siccardi
- Brendan Moran
- Bruce Nordman
- Carlos Pignataro
- Carsten Bormann
- Cedric Westphal
- Chiara Lombardo
- Chris Adams
- Colin Perkins
- Daniel Schien
- Dawn Nafus
- Dom Robinson
- Eric Voit
- Éric Vyncke
- Esther Roure Vila
- Eve M. Schooler
- Fieke Jansen
- Franco Davoli
- Gonzalo Salgueiro
- Greg Mirsky
- Henk Birkholz
- Hesham ElBakoury
- Hosein Badran
- Iankang Yao
- Jan Lindblad
- Jari Arkko
- Jens Malmodin
- Jiankang Yao
- John Preuß Mattsson
- Jukka Manner
- Julien Maisonneuve
- Kristin Moyer
- Lars Eggert
- Laurent Ciavaglia
- Lijun Dong
- Louis Navarre
- Louise Krug
- Luis M. Contreras
- Marisol Palmero Amador
- Martin Flack
- Maya Richman
- Michael Welzl
- Mike Mattera
- Mohamed Boucadair
- Nina Lövehagen
- Noa Zilberman
- Olivier Bonaventure
- Pascal Thubert
- Paul Shabajee
- Per Andersson
- Pernilla Bergmark
- Peyman Teymoori
- Qin Wu
- Remy Hellstern
- Rick Taylor
- Rob WIlton
- Rob Wilton
- Romain Jacob
- Russ White
- Safiqul Islam
- Selome Kostentinos Tesfatsion
- Shayna Robinson
- Snezana Mitrovic
- Stefano Salsano
- Suresh Krishnan
- Tirumaleswar Reddy.K
- Toerless Eckert
- Uri Cummings
- Vesna Manojlovic
- Wim Vanderbauwhede
IAB Members at the Time of Approval
Internet Architecture Board members at the time this document was approved for publication were:
- Dhruv Dhody
- Lars Eggert
- Wes Hardaker
- Cullen Jennings
- Mallory Knodel
- Suresh Krishnan
- Mirja Kühlewind
- Tommy Pauly
- Alvaro Retana
- David Schinazi
- Christopher Wood
- Qin Wu
- Jiankang Yao
Acknowledgments
Naturally, most of the credit goes to the workshop participants.
The organizers wish to thank Cindy Morgan and Greg Wood for their work on the practical arrangements and communications relating to the workshop. This report was greatly enhanced by the feedback provided on it. Thanks to Michael Welzl in particular for his detailed review.